#  
# spec file for package horde-groupware-webmail (Version 1.2.6)
#  
  
# norootforbuild  
  
%define _pversion 1.2.6
  
Name:           horde-webmail
%if 0%{?suse_version} > 1020
BuildRequires:	fdupes
%endif

%if 0%{?suse_version} >= 1010 || 0%{?sles_version} >= 10 
%define _phpdir php5
%define _apxs   /usr/sbin/apxs2
BuildRequires:	apache2-devel
Requires:       mod_php_any
%endif
%if 0%{?suse_version} < 1010 && 0%{?suse_version} > 0 || 0%{?sles_version} == 9
%define _phpdir php
%define _apxs   /usr/sbin/apxs2
BuildRequires:	apache2-devel
Requires:       mod_php_any
%endif 

%if 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version}
%define _phpdir php
%define _apxs   /usr/sbin/apxs
BuildRequires:	httpd-devel
Requires:       mod_php
%endif

BuildRequires:  pcre-devel  
License:        GPL v2 or later  
Group:          Productivity/Networking/Web/Utilities  
Requires:       php-gettext php-mcrypt php-imap php-pear php-pear-log php-session php-dom php 

Version:	1.2.6
Release:	1.1
Source0:	%{name}-%{version}.tar.bz2
Patch0:         horde-3.1.2-log.patch
Patch1:         horde-3.2-rc1-usr_local.patch
Patch2:         horde-3.3.4-php5_exec.patch
Patch3:		horde-webmail-php5_exec.patch
Patch4:		horde-imp-php5_exec.patch
Patch5:		horde-kronolith-php5_exec.patch
Patch6:		horde-kronolith-php5_exec2.patch
URL:		http://www.horde.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build  
BuildArch:      noarch
AutoReqProv:	off
Summary:	Horde Groupware Webmail Edition

%description
Horde Groupware Webmail Edition is a free, enterprise ready, browser based
communication suite. Users can read, send and organize email messages and
manage and share calendars, contacts, tasks and notes with the standards
compliant components from the Horde Project.

%define serverroot %(%{_apxs} -q datadir)/htdocs/
%define apache_horde      %{serverroot}/horde
%debug_package
%prep
%setup -q -n %{name}-%{_pversion}
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6

%build
: if the following command fails, then apache dependencies are not met
%{_apxs} -q datadir >/dev/null  
cd config  
for i in *.dist; do %__cp $i ${i%.dist}; done
 
%install
%__mkdir_p %{buildroot}%{apache_horde}
%__cp -r ./* %{buildroot}%{apache_horde}
cd %{buildroot}%{apache_horde}
%__rm -rf docs po COPYING README README*
%__install -d %{buildroot}/var/log/horde
sed -i 's#@PHP-BIN@#/usr/bin/php5#' %{buildroot}%{apache_horde}/pear/pear-dh-ini2xml
# remove .orig files from patches
find %{buildroot}%{apache_horde} -name \*.orig -exec rm {} \;
%if 0%{?suse_version} > 1020
# create symlinks for man pages
%fdupes $RPM_BUILD_ROOT/%{apache_horde}
%endif

%clean  
%__rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README COPYING docs
%dir %{apache_horde}
%{apache_horde}/admin
%{apache_horde}/js
%{apache_horde}/lib
%{apache_horde}/locale
%{apache_horde}/scripts
%{apache_horde}/services
%{apache_horde}/templates
%{apache_horde}/themes
%{apache_horde}/util
%{apache_horde}/dimp
%{apache_horde}/imp
%{apache_horde}/ingo
%{apache_horde}/kronolith
%{apache_horde}/mimp
%{apache_horde}/mnemo
%{apache_horde}/nag
%{apache_horde}/turba
%{apache_horde}/pear
%{apache_horde}/rpc
%{apache_horde}/*.php
%{apache_horde}/*.html
%attr(0750, wwwrun, www) %dir %{apache_horde}/config  
%attr(0640, root, www) %config(noreplace) %{apache_horde}/config/.htaccess  
%attr(0640, wwwrun, www) %config(noreplace) %{apache_horde}/config/*
%attr(0750, wwwrun, www) %dir %{apache_horde}/config/registry.d  
%attr(0640, wwwrun, www) %config(noreplace) %{apache_horde}/config/registry.d/*  
%attr(0750, wwwrun, www) %dir /var/log/horde

%changelog
* Sun May 02 2010 Carsten Schoene <cs@linux-administrator.com> - 1.2.6-1
- update to version 1.2.6

* Thu Dec 17 2009 Carsten Schoene <cs@linux-administrator.com> - 1.2.5-1
- update to version 1.2.5

* Tue Sep 15 2009 Carsten Schoene <cs@linux-administrator.com> - 1.2.4-1
- update to version 1.2.4

* Fri May 01 2009 Carsten Schoene <cs@linux-administrator.com> - 1.2.3-1
- update to version 1.2.3

* Wed Jan 28 2009 Carsten Schoene <cs@linux-administrator.com> - 1.2.2-8
- update to version 1.2.2

* Thu Dec 11 2008 Carsten Schoene <cs@linux-administrator.com>
- update to version 1.2.1

* Thu Oct 02 2008 Carsten Schoene <cs@linux-administrator.com>
- update to version 1.2

* Thu Sep 11 2008 Carsten Schoene <cs@linux-administrator.com>
- update to version 1.1.3

* Sat Aug 16 2008 Carsten Schoene <cs@linux-administrator.com>
- update to version 1.1.2

* Sun Jul 13 2008 Carsten Schoene <cs@linux-administrator.com>
- update to version 1.1.1
 - phptype patches removed, they're now upstream

* Mon Jun 02 2008 Carsten Schoene <cs@linux-administrator.com>
- added patches which fixes error "phptype" not specified in configuretion
  when sending new mail

* Mon May 26 2008 Carsten Schoene <cs@linux-administrator.com>
- update release to final 1.1

*Mon May 12 2008 Carsten Schoene <cs@linux-administrator.com>
- update build to 1.1-rc4

* Sun May 11 2008 Carsten Schoene <cs@linux-administrator.com>
- initial build
